Bug 1218169 - document the testwatcher feature
Summary: document the testwatcher feature
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: beakerlib
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Jaburek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1206173
Blocks: Fedora-beakerlib
TreeView+ depends on / blocked
 
Reported: 2015-05-04 10:52 UTC by Jiri Jaburek
Modified: 2017-02-16 08:48 UTC (History)
5 users (show)

Fixed In Version: beakerlib-1.13-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-16 08:48:18 UTC


Attachments (Terms of Use)
0001-move-examples-into-new-subdir-extradocs (5.78 KB, patch)
2015-05-28 12:14 UTC, Jiri Jaburek
no flags Details | Diff
0002-extradocs-add-testwatcher-design-docs (7.78 KB, patch)
2015-05-28 12:15 UTC, Jiri Jaburek
no flags Details | Diff

Description Jiri Jaburek 2015-05-04 10:52:21 UTC
The testwatcher feature is currently documented only as part of rlCleanup*, which makes it a bit confusing and not overly helpful when one wants to understand the distinction between rlCleanup* bash functions and testwatcher.py.

The apparent best place for such more extensive documentation would be /usr/share/doc and to avoid introducing further hack-like paths in the SRPM, depend on bz1206173.

Comment 1 Jiri Jaburek 2015-05-28 12:14:38 UTC
Created attachment 1031258 [details]
0001-move-examples-into-new-subdir-extradocs

Comment 2 Jiri Jaburek 2015-05-28 12:15:56 UTC
Created attachment 1031259 [details]
0002-extradocs-add-testwatcher-design-docs

Comment 3 Jan Kurik 2015-07-15 14:11:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Fedora End Of Life 2016-11-24 11:46:03 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2016-12-20 13:38:50 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.